List all facts for a given week by email or studentId
curl --request GET \
--url https://api.alpha-1edtech.ai/edubridge/analytics/facts/weekly \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/edubridge/analytics/facts/weekly"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/edubridge/analytics/facts/weekly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"facts": [
{
"id": 123,
"email": "<string>",
"date": "<string>",
"datetime": "<string>",
"username": "<string>",
"userGrade": "<string>",
"userFamilyName": "<string>",
"userGivenName": "<string>",
"userId": "<string>",
"subject": "<string>",
"app": "<string>",
"courseId": "<string>",
"courseName": "<string>",
"campusId": "<string>",
"campusName": "<string>",
"enrollmentId": "<string>",
"activityId": "<string>",
"activityName": "<string>",
"totalQuestions": 123,
"correctQuestions": 123,
"masteredUnits": 123,
"activeSeconds": "<string>",
"inactiveSeconds": "<string>",
"wasteSeconds": "<string>",
"source": "<string>",
"alphaLevel": "<string>",
"generatedAt": "<string>",
"sendTime": "<string>",
"sensor": "<string>",
"eventType": "<string>",
"year": 123,
"month": 123,
"day": 123,
"dayOfWeek": 123,
"xpEarned": 123
}
]
}Analytics
List all facts for a given week by email or studentId
Return a list of processed facts for a given week by email or studentId
GET
/
edubridge
/
analytics
/
facts
/
weekly
List all facts for a given week by email or studentId
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
List all facts for a given enrollment
Previous
Gets the highest grade mastered by a student for a given subject
Next
⌘I